use ovlach_data::cv::cv::CV;
use reqwest::Client;


#[derive(Debug)]
pub enum FetchError {
    ReqwestError(reqwest::Error)
}

impl From<reqwest::Error> for FetchError {
    fn from(e: reqwest::Error) -> Self {
        FetchError::ReqwestError(e)
    }
}

pub async fn fetch_cv_data_from_backend(backend_host: String, client: Client) -> Result<CV, FetchError> {
    let resp = client
        .get(format!("{}/{}", backend_host, "/api/cv/ovlach")).send()
        .await?
        .json::<CV>()
        .await?;
    Ok(resp)
}